Subject: Re: [PATCH] vdpa/mlx5: set_features should allow reset to zero

From: Si-Wei Liu <[email-masked]>
Date: Mon, 1 Mar 2021 10:08:22 -0800

On 2/28/2021 1:27 PM, Michael S. Tsirkin wrote:
> On Thu, Feb 25, 2021 at 04:56:42PM -0800, Si-Wei Liu wrote:
>> Hi Michael,
>>
>> Are you okay to live without this ioctl for now? I think QEMU is the one
>> that needs to be fixed and will have to be made legacy guest aware. I think
>> the kernel can just honor the feature negotiation result done by QEMU and do
>> as what's told to.Will you agree?
>>
>> If it's fine, I would proceed to reverting commit fe36cbe067 and related
>> code in question from the kernel.
>>
>> Thanks,
>> -Siwei
>
> Not really, I don't see why that's a good idea.  fe36cbe067 is the code
> checking MTU before FEATURES_OK. Spec explicitly allows that.
>
Alright, but what I meant was this commit
452639a64ad8 ("vdpa: make sure set_features is invoked for legacy").

But I got why you need it in another email (for BE host/guest).

-Siwei